<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Vector2 Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ab1b1d53ca1f653039d906a875d1e3424">angleBetween</a>(const Ogre::Vector2 &amp;other) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#acd739f1dbaf36db542a9f04866c5557e">angleTo</a>(const Ogre::Vector2 &amp;other) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a9785bfabcea2d2fad738571f5c7c106f">crossProduct</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a10530ba97a3d11806123452513890a94">distance</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a864971e600fa97e95a295cb5f2c2f16d">dotProduct</a>(const Vector2 &amp;vec) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aea3847aa9c4caa70f2dacd2c145bf18b">isNaN</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a1946e867aa921f61de967cf244774531">isZeroLength</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a37afa7257464098c518321ddf438f1a9">length</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a408be4c5539e93a4272e05249bafe0be">makeCeil</a>(const Vector2 &amp;cmp)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a946495c4a55e1f8048aab6920bf0ac9f">makeFloor</a>(const Vector2 &amp;cmp)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ad79868b92edb2c5187d8b11387010a7d">midPoint</a>(const Vector2 &amp;vec) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a52e8d29732eacdeb87d20a3372382590">NEGATIVE_UNIT_X</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a95486d3e0b884791be22f16d2bb3a4cb">NEGATIVE_UNIT_Y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a108e27e1f8c56023377347b661cf067c">normalise</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a735f0406c751af9b3ac79c855301e466">normalisedCopy</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#af8a82d880cf79a247d4eb8a70f61702f">operator!=</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aae0ed4bc95e76592db876074a7b92c64">operator*</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a7b3c0ac1956488c8d711c1c684140fb9">operator*</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a87c0a3be9cc3499973c709dba2982127">operator*</a>(const Real fScalar, const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aa0e1652d4b655d603334e14174cf176f">operator*=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a04fe4323795bdd2edba14979071cc2a8">operator*=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a806a988c00ef4351b8e6d534bd0f09b6">operator+</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#af22ae1e752951b66f3c3ef59134f1dfc">operator+</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a3ffc15c2ad86866acd071c0748126fbb">operator+</a>(const Vector2 &amp;lhs, const Real rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a67176f44a1c406e85fe12787373ef377">operator+</a>(const Real lhs, const Vector2 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aac6485bd52d65876c6d625f0dbbf634b">operator+=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a7d85454520d16e1737be3d79b6950d39">operator+=</a>(const Real fScaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ab00bb30f312804b9eeedb8c8816da88b">operator-</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aaebb1a9a4be8649241189c6ff02d170c">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aed2661adf58895a08a1b38054d8d5743">operator-</a>(const Vector2 &amp;lhs, const Real rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a6d976cf52f54a51f4b42ef31c3bede89">operator-</a>(const Real lhs, const Vector2 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aa4e5a79a3880c71499ea5c6fc3709151">operator-=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#adb77e6fdba8c5a6a55b6c53f16a2cf5f">operator-=</a>(const Real fScaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ac22564f2426d1feaf991373d70ee2ba6">operator/</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a0832212595e63003914ab30c2020149b">operator/</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a51c18bb1a1071f8078084cb968ddb5d2">operator/</a>(const Real fScalar, const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a5ee66b093d0a415c57e7918523cabeaf">operator/=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a181745a04b7b95bffc331fd9a4519931">operator/=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aa756107b53717cfa38efec9e0840f630">operator&lt;</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#af2c1dcbb14e9404733990cdbb2b2d747">operator&lt;&lt;</a>(std::ostream &amp;o, const Vector2 &amp;v)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a94d813e76f805306436e19a785e75a26">operator=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a057b23bf29fadca9f2a4f0ff19a9bf61">operator=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a4404d6cdc32ecbc7d1b4ff5bc247d68a">operator==</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aa66f1e244af12ef400f1cc416b408e19">operator&gt;</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a71b01bfe42118ef067e14e1092e7773f">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aae029eb05f9ab47565e5b47bb2ee9d91">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aea8cb94f0258c7b8f204588f05d7d0f0">perpendicular</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a307ca54d90a1a35b54a5416810681b3a">ptr</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ad72265d712677a9d628f0231c2e7c460">ptr</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#abf1030549182b8fcf19def12e2706e6f">randomDeviant</a>(Real angle) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#affe288cd3a7424b7fdb0ae34b2ddf807">reflect</a>(const Vector2 &amp;normal) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a6942a08e1f7fb50c43f87c7186052ac6">squaredDistance</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#acf2cf937351e108feb474e01d2c982a2">squaredLength</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aa27656ac177e9a1959749704c5ea6cb2">swap</a>(Vector2 &amp;other)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a165a67053e61b0733746453ce9ee5edb">UNIT_SCALE</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a1c2d210b2756d07375b0cf9f01835496">UNIT_X</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ad20c8c58c9345a71743416bad82cb5e3">UNIT_Y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a54198b2714496715f6f9ec24c1194cad">Vector2</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a157950d8cbe0e44a2271479a4f8bcdab">Vector2</a>(const Real fX, const Real fY)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a1c2a513e68d4e223135a5d891a569501">Vector2</a>(const Real scaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a6f05ab5b82a5dd3f191e388d4a734614">Vector2</a>(const Real afCoordinate[2])</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ac04fe07fceec444e2a13b0195bcb2c64">Vector2</a>(const int afCoordinate[2])</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#adf501af1ce3df540dee7953ddb32cb51">Vector2</a>(Real *const r)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#af3eb55ba6d289477e9aa52b8de341380">x</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ad486a13367b71ce0f4c6782297be9725">y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a70fef72151781ad0174a004a8b6b3acc">ZERO</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
